Skip to main content
Resource Center/Hardware/Host Operations/PCI Device Operations
PUTPCI Device OperationsSince 3.5.0SynchronousAuth Required

GenerateMdevDevices

GenerateMdevDevices

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • pciDeviceUuidStringRequired

    The PCI device UUID.

Body Fields

  • generatemdevdevicesObjectRequired

    generatemdevdevices request body object.

    • mdevSpecUuidStringRequired

      The UUID of the MDEV device specification.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

PUT/zstack/v1/pci-devices/{pciDeviceUuid}/actions

/zstack/v1/pci-devices/{pciDeviceUuid}/actions

Operation ID

GenerateMdevDevices

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/pci-devices/{pciDeviceUuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"generatemdevdevices":{"mdevSpecUuid":"<mdevSpecUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history